/*----------------------------------------------------------------------
  Copyright (C) 1997, IGS Technology, Inc.

  Permission is hereby granted to use, copy and modify this software
  only for the purpose of developing IGS Technology related products.

  This software may not be distributed to any party which is not covered
  by IGS Technology Non-Disclosure Agreement (NDA).

  This software is provided "as is" without warranty of any kind,
  either expressed or implied, including but not limited to the implied
  warranties of merchantability and/or fitness for a particular purpose.

  Author: Bo
  ----------------------------------------------------------------------*/
#ifndef _IGSVIDEO_H
#define _IGSVIDEO_H

#define PHILIPS7110	  0	/*Philips 7110 */
#define PHILIPS7111	  1	/*Philips 7111 */
#define NODECODER	 -1	/*No decoder */

#define PAL		  0	/*for PAL system */
#define NTSC		  1	/*for NTSC system */
#define SECAM		  2	/*for SECAM system */

#define COMPOSITE	  0	/*for composite video */
#define S_VIDEO 	  1	/*for super VHS */

#define COLOR_HUE	  0
#define COLOR_BRIGHTNESS  1
#define COLOR_SAT	  2
#define COLOR_CONTRAST	  3
#define COLOR_RED	  4
#define COLOR_GREEN	  5
#define COLOR_BLUE	  6

#define YUV422		  0	/*captured data is YUV 422 format */

#define COLORKEY	  0	/*Overlayed window is of color keying */
#define WINDOWKEY	  1	/*Overlayed window is of window keying */

#if 0
/*
  Library routines

  The routines will be called by Applications.
*/

int DetectDecoder (void);
int InitPhil7110 (void);
int InitPhil7111 (void);
//int  sendOneByte(unsigned char bAddr, unsigned char bSubaddr, unsigned char bVal);
int sendMoreByte (unsigned char bAddr, unsigned char bSubaddr,
		  unsigned char *bValPtr, int iCount);
void WaitVSync (void);
int GetBpp (void);
unsigned long dwGetChipID (void);

int IGS_InitParam (void);
void IGS_InitVideo (void);
void IGS_VideoCleanUp (void);
void IGS_VideoOn (void);
void IGS_VideoOff (void);
void IGS_OverlayOn (void);
void IGS_OverlayOff (void);
void IGS_FreezeVideo (void);
void IGS_UnfreezeVideo (void);
void IGS_SetCaptureFormat (unsigned char nFormat);
void IGS_SetOverlayFormat (unsigned char nFormat);
void IGS_SetOverlayWindow (unsigned short wLeft, unsigned short wTop,
			   unsigned short wRight, unsigned short wBottom);
void IGS_AdjustVideoWindow (int cx, int cy, int wWinWidth, int wWinHeight);
void IGS_SetSrcAddr (unsigned short wX, unsigned short wY,
		     unsigned short wPixelWidth, unsigned short wMapWidth);
int IGS_SetSrcWindowSize (unsigned short wWidth, unsigned short wHeight);
void IGS_SetAnySrcWindowSize (unsigned short wWidth, unsigned short wHeight);
void IGS_SetCaptureAddr (void);
void IGS_SetXYMirror (int gwXMirror, int gwYMirror);
void IGS_SetScale (unsigned short wSrcXExt, unsigned short wDstXExt,
		   unsigned short wSrcYExt, unsigned short wDstYExt);
void IGS_SetRGBKeyColor (unsigned long cref);

/*2nd Video Overlay Window*/
void IGS_OverlayOn_V2 (void);
void IGS_OverlayOff_V2 (void);
void IGS_SetOverlayFormat_V2 (unsigned char nFormat);
void IGS_SetOverlayWindow_V2 (unsigned short wLeft, unsigned short wTop,
			      unsigned short wRight, unsigned short wBottom);
void IGS_AdjustVideoWindow_V2 (int cx, int cy, int wWinWidth, int wWinHeight);
void IGS_SetSrcAddr_V2 (unsigned short wX, unsigned short wY,
			unsigned short wPixelWidth, unsigned short wMapWidth);
int IGS_SetSrcWindowSize_V2 (unsigned short wWidth, unsigned short wHeight);
void IGS_SetScale_V2 (unsigned short wSrcXExt, unsigned short wDstXExt,
		      unsigned short wSrcYExt, unsigned short wDstYExt);
void IGS_SetRGBKeyColor_V2 (unsigned long cref);
void IGS_VideoCleanUp_V2 (void);

void IGS_SetVidStandard (int nVidStan);
void IGS_SetVidFormat (int nVidForm);
void IGS_SetVidDisplay (int nReg, int nValue);

void IGS_EnableIRQn (void);
void IGS_DisableIRQn (void);
int IGS_GetIRQn (void);

void dwSetOffScreenPtr (unsigned long dwL);
void dwSetOffScreenPtr_V2 (unsigned long dwL);

void RectTransfer (char *fpDst, char *fpSrc, unsigned short wWidth,
		   unsigned short wHeight);
void ConvertYUVtoRGB16 (char *fpDst, char *fpSrc, unsigned short wWidth,
			unsigned short wHeight);
void ConvertYUVtoRGB24 (char *fpDst, char *fpSrc, unsigned short wWidth,
			unsigned short wHeight);
#endif

#endif //_IGSVIDEO_H
